<?php
/*****************************************************************************
 * WarningDialog.php
 * Defines the WarningDialog template.
 *
 * Kabuki CMS (C) 2013-2015, Aaron van Geffen
 *****************************************************************************/

class WarningDialog extends Alert
{
	protected $buttons;

	public function __construct($title = '', $message = '', $buttons = [])
	{
		parent::__construct($title, $message);
		$this->buttons = $buttons;
	}

	protected function additional_alert_content()
	{
		$this->addButtons();
	}

	private function addButtons()
	{
		foreach ($this->buttons as $button)
			$button->html_main();
	}
}
